"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.notEnoughNodesError = exports.maxNodesExceededError = void 0;

const maxNodesExceededError = upperGenerateLimit => {
  throw new RangeError(`The operation failed because the amount of nodes would be greater than ${upperGenerateLimit}.`);
};

exports.maxNodesExceededError = maxNodesExceededError;

const notEnoughNodesError = lowerGenerateLimit => {
  throw new RangeError(`The operation failed because the amount of nodes is less than ${lowerGenerateLimit}.`);
};

exports.notEnoughNodesError = notEnoughNodesError;
//# sourceMappingURL=treeErrors.js.map